
export enum RoomType {
    ROOM = 0,
    CHANNEL = 1,
    GROUP = 2,
    DM = 3,
    THREAD = 4,
};

export interface Message {

}

export interface Room {
    id: number;
    roomName: string;
    roomType: RoomType;
    mailboxId: number;
    user: string;
    userId: number;
    unseen: number;
    messages: Message[];
    messagesFetched: boolean;
    threads: object[];
}

export interface Account {
    id: number;
    email: string;
    fetched: boolean;
}

export interface Address {
    todo: boolean;
}